Bug 109304 - form styled as display: table-cell causes konqueror to hang
Summary: form styled as display: table-cell causes konqueror to hang
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml renderer (show other bugs)
Version: 3.4.1
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-19 10:23 UTC by Bill Robinson
Modified: 2006-06-17 22:40 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Backtrace from GDB when Konqueror freezes on such a page (2.67 KB, text/plain)
2006-01-13 00:50 UTC, Yaohan Chen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bill Robinson 2005-07-19 10:23:47 UTC
Version:            (using KDE KDE 3.4.1)
Installed from:    Gentoo Packages
Compiler:          gcc (GCC) 3.3.5-20050130 (Gentoo Linux 3.3.5.20050130-r1, ssp-3.3.5.20050130-1, pie-8.7.7.1) 
OS:                Linux

This simple test page causes Konqueror to hang:

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>konqueror - form as table cell causes hang</title>
</head>
<body>
<table><tbody><tr>
<form style='display: table-cell;' >form as table cell causes hang.</form>
</tr></tbody></table>
</body>
</html>

I have tested the form with this style in other places and it seems to consistently cause crashes. This, I believe should be a valid use of style. Even if not supported, this hang should be fixed.


example page: http://bill.hobbiton.cjb.net/konqueror-hang.html
looks similar to: http://bugs.kde.org/show_bug.cgi?id=62654
Comment 1 Thiago Macieira 2005-07-22 06:44:34 UTC
Confirmed on trunk 433373.

This is no crash.
Comment 2 Yaohan Chen 2006-01-13 00:50:57 UTC
Created attachment 14232 [details]
Backtrace from GDB when Konqueror freezes on such a page

The backtrace will keep repeating its last two lines if I press Enter in GDB.
When I kill konqueror with SIGEGV, making the backtrace window appear, it also
never finishes loading, and keeps repeating last two lines.
Comment 3 Yaohan Chen 2006-01-13 00:52:11 UTC
I can reproduce this bug. I attached a backtrace from GDB.
Comment 4 Allan Sandfeld 2006-06-17 19:35:08 UTC
There is a patch for this in WebCore.
Comment 5 Allan Sandfeld 2006-06-17 22:40:30 UTC
SVN commit 552443 by carewolf:

Clean up handling of FORMs inside RenderTable's.
Patch merged from WebCore and improved to also fix bug #128420
BUG: 109304
BUG: 128420


 M  +2 -1      html/htmlparser.cpp  
 M  +175 -174  rendering/render_table.cpp  
 M  +5 -15     rendering/render_table.h